using System;
using System.Collections.Generic;
using System.Text;

namespace ApplicationForms
{
    /// <summary>
    /// Standard messages.
    /// </summary>
    public class StandardMessages
    {
        /// <summary>
        /// Default caption for message boxes.
        /// </summary>
        public static string DefaultMsgBoxCaption = "POS Application";
        /// <summary>
        /// Loading {0} ...
        /// </summary>
        public static string TryLoadingRecords = "Loading {0} ...";
        /// <summary>
        /// {0} loaded successfully.
        /// </summary>
        public static string SucLoadingRecords = "{0} loaded successfully.";
        /// <summary>
        /// Total Records = {0}
        /// </summary>
        public static string TotalRecords = "Total Records = {0}";
        /// <summary>
        /// Failed to load {0}, check log file for more details.
        /// </summary>
        public static string FaildLoadingRecords = "Failed to load {0}, check log file for more details.";
        /// <summary>
        /// Failed to load {0}.
        /// </summary>
        public static string FaildLoadingRecordsShortMsg = "Failed to load {0}.";
        /// <summary>
        /// Can not save invalid entries, remove errors to save records.
        /// </summary>
        public static string CannotSaveInvalidEnteries = "Can not save invalid entries, remove errors to save records.";
        /// <summary>
        /// Are you sure to save changes?
        /// </summary>
        public static string AreYouSureToSaveChanges = "Are you sure to save changes?";
        /// <summary>
        /// Saving ...
        /// </summary>
        public static string Saving = "Saving ...";
        /// <summary>
        /// Saved Successfully.
        /// </summary>
        public static string SavedSuccessfully = "Saved Successfully.";
        /// <summary>
        /// Unable to save.
        /// </summary>
        public static string UnableToSave = "Unable to save.";
        /// <summary>
        /// Unable to delete.
        /// </summary>
        public static string UnableToDelete = "Unable to delete.";
        /// <summary>
        /// Unable to perform requested operation.
        /// </summary>
        public static string UnableToPerform = "Unable to perform requested operation.";
        /// <summary>
        /// No changes were detected to perform save operation.
        /// </summary>
        public static string NoChangesDetectedToSave = "No changes were detected to perform save operation.";
        /// <summary>
        /// Failed to save, check log file for more details.
        /// </summary>
        public static string FailedToSave = "Failed to save, check log file for more details.";
        /// <summary>
        /// Failed to save.
        /// </summary>
        public static string FailedToSaveShortMsg = "Failed to save.";
        /// <summary>
        /// Enter valid data, it can not be empty or null.
        /// </summary>
        public static string EnterValidData = "Enter valid data, it can not be empty or null.";
        /// <summary>
        /// Failed to validate, check log file for more details.
        /// </summary>
        public static string FailedToValidate = "Failed to validate, check log file for more details.";
        /// <summary>
        /// Failed to validate.
        /// </summary>
        public static string FailedToValidateShortMsg = "Failed to validate.";
        /// <summary>
        /// Please save your data before finding.
        /// </summary>
        public static string SaveDataBeforeFinding = "Please save your data before finding.";
        /// <summary>
        /// No match found.
        /// </summary>
        public static string NoMatchFound = "No match found.";
        /// <summary>
        /// An error has occured while searching form, check log file for more details.
        /// </summary>
        public static string AnErrorOccuredWhileSearching = "An error has occured while searching form, check log file for more details.";
        /// <summary>
        /// An error has occured while searching form.
        /// </summary>
        public static string AnErrorOccuredWhileSearchingShortMsg = "An error has occured while searching form.";
        /// <summary>
        /// Are you sure to quite? Some changes made may not be saved.
        /// </summary>
        public static string AreYouSureToQuite = "Are you sure to exit? Some changes may not be saved.";
        /// <summary>
        /// An error has occured while closing form.
        /// </summary>
        public static string ErrorOccuredWhileClosing = "An error has occured while closing form.";
        /// <summary>
        /// Select {0} to continue ...
        /// </summary>
        public static string SelectFilterToContinue = "Select {0} to continue ...";
        /// <summary>
        /// Failed.
        /// </summary>
        public static string Failed = "Failed";
        /// <summary>
        /// Failed to load.
        /// </summary>
        public static string FailedLoading = "Failed to load.";
        /// <summary>
        /// An error has occured while performing requested operation.
        /// </summary>
        public static string ErrorOccured = "An error has occured while performing requested operation.";
        /// <summary>
        /// Requested operation has completed successfully.
        /// </summary>
        public static string RequestSuccess = "Requested operation has completed successfully.";
        /// <summary>
        /// Warning! you may lose unsaved information, are you sure to close this form?
        /// </summary>
        public static string UnsavedClose = "Warning! you may lose unsaved information, are you sure to close this form?";
        /// <summary>
        /// Warning! you may lose unsaved information, are you sure to reset this form?
        /// </summary>
        public static string UnsavedReset = "Warning! you may lose unsaved information, are you sure to reset this form?";
        /// <summary>
        /// Failed to save, make sure the record with same ID doesn't exist already.
        /// </summary>
        public static string PrimaryKeyVoilation = "Failed to save, make sure the record with same ID doesn't exist already.";
        /// <summary>
        /// Deleting ...
        /// </summary>
        public static string TryDeleteing = "Deleting ...";
        /// <summary>
        /// Deleted successfully.
        /// </summary>
        public static string SucDeleted = "Deleted successfully.";
        /// <summary>
        /// Are you sure to delete selected record?
        /// </summary>
        public static string AreYouSureToDeleted = "Are you sure to delete selected record?";
        /// <summary>
        /// Select a record to delete.
        /// </summary>
        public static string SelectToDeleted = "Select a record to delete.";
        /// <summary>
        /// Select a record to edit.
        /// </summary>
        public static string SelectToEdit = "Select a record to edit.";
        /// <summary>
        /// Are you sure to perform this action?
        /// </summary>
        public static string AreyouSureToPerform = "Are you sure to perform this action?";
        /// <summary>
        /// You're are not authorized to perform this operation.
        /// </summary>
        public static string YouAreNotAuthorized = "You are not authorized to perform this operation.";
    }
}
